> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Update an SRE Agent memory

`PUT https://api.pagerduty.com/sre_agent/memories/{id}`

Update an existing SRE Agent memory. Changes to the runbook may not update in a currently ongoing conversation, but will be available to new conversations. To modify the runbook for an in progress conversation update the runbook via the agent instead.

Scoped OAuth requires: `sre_agent.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

The SRE Agent memory to be updated.

| Field | Type | Required | Description |
|---|---|---|---|
| `memory` | object | yes |  |
| `memory.content` | string | yes | The content of the SRE memory. |

Example: Request Example

```json
{
  "memory": {
    "content": "Updated memory content - The database connection pool was increased to 100 connections to resolve performance issues during peak load."
  }
}
```

## Response 200

The SRE Agent memory that was updated.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `memory` | object | yes |  |
| `memory.id` | string |  | The unique identifier for this memory. Read-only. |
| `memory.content` | string | yes | The content of the SRE memory. |
| `memory.attributes` | object |  | Additional attributes associated with this memory. |
| `memory.attributes.account_id` | string |  | The ID of the account this memory is associated with. |
| `memory.attributes.service_id` | string |  | The ID of the service this memory is associated with. |
| `memory.attributes.incident_id` | string |  | The ID of the incident this memory is associated with. |
| `memory.attributes.type` | string |  | The type of memory. One of: `runbook`, `service_profile`, `incident_playbook`, `incident_summary`. |
| `memory.created_at` | string (date-time) |  | The date and time the memory was created. Read-only. |
| `memory.updated_at` | string (date-time) |  | The date and time the memory was last updated. Read-only. |

Example: Response Example

```json
{
  "memory": {
    "attributes": {
      "account_id": "PLHJ8WE",
      "service_id": "PJYY37U",
      "type": "service_runbook"
    },
    "content": "Updated memory content - The database connection pool was increased to 100 connections to resolve performance issues during peak load.",
    "created_at": "2026-02-23T19:53:19.268Z",
    "id": "PLHJ8WE",
    "type": "sre_memory",
    "updated_at": "2026-02-25T22:22:10.543Z"
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
